#include "ProMemory.h"

ProMemory::ProMemory()
{

}

ProMemory::~ProMemory()
{

}

QMap<QString, QVariant> ProMemory::getLoginUser()
{
    return this->loginUser;
}
void ProMemory::setLoginUser(QMap<QString, QVariant> user)
{
    this->loginUser = user;
}

QMap<QString, QString> ProMemory::getLabCodeDict()
{
    return this->labCodeDict;
}
void ProMemory::setLabCodeDict(QMap<QString, QString> bizLabCode)
{
    this->labCodeDict = bizLabCode;
}

QMap<QString, QString> ProMemory::getGroupCodeDict()
{
    return this->groupCodeDict;
}
void ProMemory::setGroupCodeDict(QMap<QString, QString> bizGroupCode)
{
    this->groupCodeDict = bizGroupCode;
}

QMap<QString, QString> ProMemory::getMeasureStatusDict()
{
    return this->measureStatusDict;
}
void ProMemory::setMeasureStatusDict(QMap<QString, QString> measureStatus)
{
    this->measureStatusDict = measureStatus;
}
